# WellView API
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import wellview_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import wellview_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import wellview_api
from wellview_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = wellview_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
configuration.api_key_prefix['Authorization'] = 'Bearer'
configuration.verify_ssl = False
configuration.host = 'YOUR_HOST_URL'

# create an instance of the API class
api_instance = wellview_api.DefaultApi(wellview_api.ApiClient(configuration))
select = 'select_example' # str | Limits the properties returned in the result. (optional)
expand = 'expand_example' # str | Indicates the related entities to be represented inline. The maximum depth is 5. (optional)
skip = 'skip_example' # str | Skips the first n results. (optional)
top = 'top_example' # str | Returns the first n results. (optional)
filter = 'filter_example' # str | Filters the results using oData Notation. (optional)
search = 'search_example' # str | Searches the results using oData Notation. (optional)
orderby = 'orderby_example' # str | Orders the results by the fields listed. (optional)
count = 'count_example' # str | Returns the Count in the results. Useful for pagination. (optional)

try:
    # Get WellView table dtata e.g. JobReportTimeLogs
    uri = "/v1/JobReportTimeLogs"
    api_response = api_instance.get_wvtables(uri, select=select, expand=expand, skip=skip, top=top, filter=filter, search=search, orderby=orderby, count=count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_wvtables: %s\n" % e)

# Configure API key authorization: bearerAuth
configuration = wellview_api.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
configuration.api_key_prefix['Authorization'] = 'Bearer'
configuration.verify_ssl = False
configuration.host = 'YOUR_HOST_URL'

# create an instance of the API class
api_instance = wellview_api.DefaultApi(wellview_api.ApiClient(configuration))
id_well = 'id_well_example' # str | 
id_rec = 'id_rec_example' # str | 
select = 'select_example' # str | Limits the properties returned in the result. (optional)
expand = 'expand_example' # str | Indicates the related entities to be represented inline. The maximum depth is 5. (optional)
skip = 'skip_example' # str | Skips the first n results. (optional)
top = 'top_example' # str | Returns the first n results. (optional)
filter = 'filter_example' # str | Filters the results using oData Notation. (optional)
search = 'search_example' # str | Searches the results using oData Notation. (optional)
orderby = 'orderby_example' # str | Orders the results by the fields listed. (optional)
count = 'count_example' # str | Returns the Count in the results. Useful for pagination. (optional)

try:
    # Get WellView table dtata e.g. JobReportTimeLogs({idWell},{idRec})
    uri = "/v1/JobReportTimeLogs"
    api_response = api_instance.get_wvtables_idwell_idrec(uri, id_well, id_rec, select=select, expand=expand, skip=skip, top=top, filter=filter, search=search, orderby=orderby, count=count)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_wvtables_idwell_idrec: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://virtserver.swaggerhub.com/UCW/AzureStorageBlob/1.0.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**get_wvtables**](docs/DefaultApi.md#get_wvtables) | **GET** /v1/wvtables | Get WellView table dtata e.g. JobReportTimeLogs
*DefaultApi* | [**get_wvtables_idwell_idrec**](docs/DefaultApi.md#get_wvtables_idwell_idrec) | **GET** /v1/wvtables({idWell},{idRec}) | Get WellView table dtata e.g. JobReportTimeLogs({idWell},{idRec})

## Documentation For Models

 - [WVTable](docs/WVTable.md)

## Documentation For Authorization


## bearerAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author


